1

Hope someone can help asap - we tried to install a plugin through craftcms 3 (Cache Flag) and now getting 'The configuration for the "gc" component must contain a "class" element.'

Does anyone know how to resolve this?

1

This seems unrelated to the Cache Flag plugin, and more likely due to some bad code in config/app.php (or app.web.php).

If you have either of those files, check what changes you’ve made to it/them recently.

| improve this answer | |
  • Thanks for the quick reply! I've replaced that and now get 'Setting unknown property: craft\models\Info::config'. We did have a GC setting in there by setting garbage collection timeout. – Jonny Turner Jul 16 '19 at 18:33
  • Did you somehow end up downgrading Craft to < 3.1? – Brandon Kelly Jul 16 '19 at 18:50
  • I was on 3.1.23 I believe beforehand. Just ran install on cache flag, then go the internal server error. I ran composer to uninstall cache-flag and then ran composer update. – Jonny Turner Jul 16 '19 at 18:53
  • I've managed to get it live, however, no plugins are showing and I can't upgrade / install any as I believe all the versions messed up whilst I ran composer update after removing the cache flag module. Do you know a work around this? Thanks again for the assistance, much appreciated. – Jonny Turner Jul 16 '19 at 20:17
  • 1
    Down to one error. When running composer update, it fails with 'Setting unknown property: craft\redactor\Field::removeInlineStyles'. :( – Jonny Turner Jul 16 '19 at 21:45

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.